Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	gnutls - a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets Layer) 3.0 implementation.
Name:      	gnutls
Version:   	2.4.1
Release:   	1
License:   	GNU/GPL
URL:	   	http://www.gnutls.org
Group:     	System/Libraries
Source0:   	gnutls-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:  	lzo
Requires:  	libgcrypt >= 1.2.2
Requires:  	opencdk
Requires:  	libtasn1
Requires:  	libgpg-error
BuildRequires: 	libgcrypt-devel >= 1.2.2
BuildRequires: 	opencdk-devel
BuildRequires: 	libtasn1-devel >= 0.3.4
BuildRequires: 	libgpg-error-devel
BuildRequires: 	lzo-devel >= 2.01
BuildRequires:	libcfg+-devel
BuildRequires:  glibc-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:	zlib-devel
Prereq(post,preun): /sbin/install-info
# TODO : remove when dependencies are satisfied
Provides:	libgnutls-extra.so.13, libgnutls-extra.so.13(GNUTLS_1_2), libgnutls-openssl.so.13, libgnutls.so.13, libgnutls.so.13(GNUTLS_1_3), libgnutlsxx.so.13, libgnutlsxx.so.13(GNUTLS_1_5), gnutls
# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group (TLS1 & SSL3.

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/sbin/install-info %_infodir/gnutls.info.gz %_infodir/dir
 
%preun 
if [ "$1" = 0 ]; then 
/sbin/install-info --del %_infodir/gnutls.info.gz %_infodir/dir 
fi 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
# removing of %_infodir/dir
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%_bindir/certtool
%_bindir/gnutls-cli
%_bindir/gnutls-cli-debug
%_bindir/gnutls-serv
%_bindir/psktool
%_bindir/srptool
%_libdir/*.so.26*
%_libdir/*.so.0*
%_infodir
%_mandir
%_datadir/locale
%_datadir/guile

%files devel
%defattr(-,root,root)
%_bindir/libgnutls-config
%_bindir/libgnutls-extra-config
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_datadir/aclocal


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-2
- added lzma compression enabled rpm as requirement 
* Wed May 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-1
- Version update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Thu Apr 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- Version update
* Mon Nov 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- Version update
* Fri Sep 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-1
- Version update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Tue May 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-1
- Version update
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- Version update
* Tue Jan 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.3-2
- tweaking specfile, added removing %_infodir/dir
* Sun Jan 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Version Update
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-4
- Bugfix
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-3
- Minor Bugfix
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-2
- Moved more files to devel package, redefined files list
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version Update
* Tue Jul 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.4-4
- Added infofile install
* Sat Jul 02 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-3
- rebuilt against lzo 2.01
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.4-2
- Cleaned out specfile, moved static libs to devel package
* Sun Jun 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version Update to 1.2.4, fixed dependencies
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.22-1
- Initial Release
